## gimppatternmenu

gimppatternmenu — A widget for selecting patterns.

## Functions

GtkWidget * | gimp_pattern_select_widget_new ()
void | gimp_pattern_select_widget_close ()
void | gimp_pattern_select_widget_set ()

## Description

A widget for selecting patterns.

## Functions

### gimp_pattern_select_widget_new ()

    GtkWidget *
    gimp_pattern_select_widget_new (const gchar *title,
                                    const gchar *pattern_name,
                                    GimpRunPatternCallback callback,
                                    gpointer data);

`gimp_pattern_select_widget_new` is deprecated and should not be used in newly-written code.

Creates a new GtkWidget that completely controls the selection of a pattern. This widget is suitable for placement in a table in a plug-in dialog.

#### Parameters

title | Title of the dialog to use or `NULL` to use the default title. |
pattern_name | Initial pattern name or `NULL` to use current selection. |
callback | A function to call when the selected pattern changes. |
data | A pointer to arbitrary data to be used in the call to `callback` . |

#### Returns

A GtkWidget that you can use in your UI.

### gimp_pattern_select_widget_close ()

    void
    gimp_pattern_select_widget_close (GtkWidget *widget);

`gimp_pattern_select_widget_close` is deprecated and should not be used in newly-written code.

Closes the popup window associated with `widget` .

#### Parameters

widget | A pattern select widget. |

### gimp_pattern_select_widget_set ()

    void
    gimp_pattern_select_widget_set (GtkWidget *widget,
                                    const gchar *pattern_name);

`gimp_pattern_select_widget_set` is deprecated and should not be used in newly-written code.

Sets the current pattern for the pattern select widget. Calls the callback function if one was supplied in the call to `gimp_pattern_select_widget_new()`.

#### Parameters

widget | A pattern select widget. |
pattern_name | Pattern name to set. NULL means no change. |